# **Troubleshooting**

## No internet connection

Re-login into Vanced MicroG or reinstall it.

## How to use the ReVanced Manager

Follow the [official](https://github.com/revanced/revanced-manager/tree/main/docs) guide to learn how to use ReVanced Manager.

## YouTube is crashing on startup or redirecting me to a page after applying patches

You might likely be patching a split APK file, so refer to **Where to get _full_ apk files**, or you might be missing [Vanced MicroG](https://github.com/TeamVanced/VancedMicroG/releases). Install it. Otherwise, refer to **How to use the ReVanced Manager** and check [Frequently Asked Questions](https://www.reddit.com/r/revancedapp/wiki/help/questions/) for **Can you support me?
**.

## Watch history isn't being saved on YouTube

Whitelist `s.youtube.com` in your ad-blocker.

## The player UI on YouTube doesn't go away

This issue occurs randomly. Currently, the only fix is to restart the app.

## The shorts button on YouTube is gone

Disable **Settings > ReVanced > Layout > Navigation button settings > Hide shorts button**.

## ReVanced Manager is crashing/not working

ReVanced Manager is still a work in progress. Before submitting an issue, ensure it is not duplicating an existing issue.

## Google login does not work on

Please use a username/password to log in.

## Links don't open in a patched app

Follow [this](https://support.google.com/pixelphone/answer/6271667). The process may vary for your device. You may need to disable or uninstall the unpatched app that occupies the links to set them for the patched app.

## `org.schabi.newpipe` is not installed
Please install NewPipe [here](https://newpipe.net/#download).

## Where to get _full_ apk files

You can get a _full_ apk from mirroring sites such as [APKMirror](https://www.apkmirror.com/). In the example of YouTube, you would want to download the full apk from APKMirror [here](https://www.apkmirror.com/apk/google-inc/youtube//) until ReVanced introduces support for apk _bundles_ or _split_ apk files.

## Videos do not play or rewind

Please refer to [this](https://discordapp.com/channels/952946952348270622/954833032114733086/1085179089708654652) announcement.

## Installation is blocked due to conflicting with an existing installation

This implies that you must remove the previous installation to solve the conflict.

## SponsorBlock does not work

The servers of SponsorBlock are likely having issues right now. Review the [current status](https://status.sponsor.ajay.app/) of SponsorBlock.

## Endscreen cards are missing

This is a side effect caused by a recent workaround for the issue mentioned in issue [1752](https://github.com/revanced/revanced-patches/issues/1752).

## Ambient mode does not work

This is a side effect caused by a recent workaround for the issue mentioned in issue [1752](https://github.com/revanced/revanced-patches/issues/1752).

## Seekbar preview missing in YouTube

A recent patch causes this. You can find it in [this](https://discord.com/channels/952946952348270622/954833032114733086/1121235521801310229) announcement. Currently, your only option is to disable the patch in the settings. This may cause playback issues.

